function gameinput (sender,obj_id,attachedID)
-----------------------------------------------------------------------------------------------------------------------
	if sender==30 then
		setcurentleaf("kabinet",2,0);
		savegame(SaveLevel())
		SwitchToSheet("re");
		DarkScreen(true);
		speciale_action(2,502,true,2);		
		speciale_action(4,502);
	return;end;

	if sender==16 then
	   if obj_id==-35 then
		clear_satelite_leaf("kabinet");
	   return;end;
	return end;
	
	
	if sender==28 then
	if obj_id==1 then
		if frame==0 then
			BlockCursor(false);
			speciale_action(2,14);
			setcolor(1100,1,1,1,1,1);
			ScaleObject(2,0.9,1);
			set_text(1100,"198");
		return;end;
	return;end;

	return;end;
	
	if sender == 6 then		
			speciale_action(2,1100);
			MoveObjectY(1,-200,-385,2);
			MoveObjectY(12,610,768,2);
			SetAlfa(14,0,0,1);
		--	MoveObjectY(14,768,768,2);
			addfade(-35,0);		
			visible_object(-35);
			speciale_action(4,-35);				
	return;end;
end
